var TOiR_spares_Window = null;
var TOiR_sparesGroup_WindowAddEdit = null;

// TOiR_SparesStore.load();

Ext.define('TOiR_SparesUsersModel', {
    extend: 'Ext.data.Model',
    fields: ['id', 'name']
});

var TOiR_SparesUsersStore = new Ext.data.Store(
  {
        autoLoad: true,
    // autoDestroy: true,    
        model: 'TOiR_SparesUsersModel',
        proxy: 
        {
          type: 'ajax',
          url: 'app/TOiR_sparesGroup.php?func=showUsers',
          reader: 
          {
            type: 'json',
            root: 'rows',
            totalProperty: 'total'
          }
        }
});

Ext.define('TOiR_SparesModel', {
    extend: 'Ext.data.Model',
    fields: ['id', 'user','spares_group','spare','aticle','count']
});
var TOiR_SparesGroupStore = new Ext.data.Store(
  {
        autoLoad: true,
   // autoDestroy: true,
   pageSize: 50,
   //remoteSort: true,   
   //simpleSortMode: true,
        model: 'TOiR_SparesModel',
        proxy: 
        {
          type: 'ajax',
          url: 'app/TOiR_sparesGroup.php?func=show',
     //url: 'app/test.php?func=show',
          reader: 
          {
            type: 'json',
            root: 'rows'
          }
        }
});

// TOiR_SparesUsersStore.load();

function show_TOiR_sparesGroup_Window (Xcoord,Ycoord,Wwidth,Wheight){
	
        
		Xcoord = Xcoord ? Xcoord :40;
        Ycoord = Ycoord ? Ycoord :60;  
        Wwidth = Wwidth ? Wwidth :700;  
        Wheight = Wheight ? Wheight :400;

Ext.define('TOiR_SparesUsersModel', {
    extend: 'Ext.data.Model',
    fields: ['id', 'name']
});

var TOiR_SparesUsersStore = new Ext.data.Store(
  {
        autoLoad: true,
    // autoDestroy: true,    
        model: 'TOiR_SparesUsersModel',
        proxy: 
        {
          type: 'ajax',
          url: 'app/TOiR_sparesGroup.php?func=showUsers',
          reader: 
          {
            type: 'json',
            root: 'rows',
            totalProperty: 'total'
          }
        }
});

var PagingToolbarTOiR_spares = 	Ext.create('Ext.PagingToolbar', {
         displayInfo    : true,
        store          : TOiR_SparesGroupStore
      });

spares_group_grid = new Ext.create('Ext.grid.Panel',{
          selType: 'rowmodel',
          columnLines: true,
          id: 'TOiR_SparesGridId',
          store: TOiR_SparesGroupStore,
          loadMask: true,
          border: false,
          autoScroll: true,
          dockedItems: [{
            xtype: 'toolbar',
            items:[
            {
              xtype: 'button',
              text: 'Добавить',
              iconCls: 'add',
              handler: function() {
                

                show_TOiR_sparesGroup_WindowAddEdit();
              }
            },
            '-',
            {
              xtype: 'button',
              text: 'Удалить',
              iconCls: 'delete',
              handler: function(View,record,item,index,e,eOpts) {
                var id = record.get('id');
                var spares_group = record.get('spares_group');
                TOiR_sparesGroup_WindowRemove(id,spares_group);
              }
            }
            ],
            listeners: {
              itemdblclick: function (){
                show_TOiR_sparesGroup_WindowAddEdit();
              }
            }

          }],
          columns:[
          {
            text: 'ID', 
            dataIndex: 'id_spares_group',
            id: 'id',        
            sortable: true,
            hidden:true
          },
          {
            text: 'Группа запчастей', 
            dataIndex: 'spares_group',  
            id: 'spares_group',      
            sortable: true,
            flex: 1,
          },
          ]
          });
	
    if (!TOiR_spares_Window){
        // Ext.getBody().mask(all.loading);
        TOiR_spares_Window = new Ext.Window({
            bbar: [PagingToolbarTOiR_spares],
            autoScroll:true,
            layout : 'fit',
            closeAction : 'destroy',
            width : parseInt(Wwidth),
            height : parseInt(Wheight),
            title : 'Группы запчастей',
            maximizable:true,
            listeners : {
                destroy : function(){
                    TOiR_spares_Window = null;    
                }
            },
            items : [spares_group_grid]
        });
  }
  function show_TOiR_sparesGroup_WindowAddEdit(id,spares_group) {
    if (id) {
      title = 'Редактировать группу запчастей';
    } else {
      title = 'Новая группа запчастей';
      id = '';
      spares_group = '';
    }

    if (!TOiR_sparesGroup_WindowAddEdit) {
      TOiR_sparesGroup_WindowAddEdit = new Ext.Window ({
        width: 300,
                height: 150,
                title: title,
                modal:true,
                closeAction: 'destroy',
                layout: 'fit',
                resizable: true,
                listeners : {
                    destroy : function(){
                    TOiR_sparesGroup_WindowAddEdit = null;    
                    }
                },
                items: [{
                    xtype: 'form',
                    autoScroll: true,
                    bodyPadding: '5 5 5 5',
                    id: "TOiR_PreventivFormId",
                    border: false,
                    frame: true,
                    autoHeight: true,
                    //fieldwidth:'width:150px',
                    //layout: 'anchor',
                    layout: {
                        type: 'vbox',
                        align: 'stretch'
                    },
                    // defaults: {
                    //     //fileUpload: true,
                    //     labelAlign: 'left',
                    //     labelWidth: 90,
                    //     //fieldWidth: '90%',
                    //     msgTarget: 'side'
                    // },
                    items: [
                    {
                        xtype:'textfield',
                        fieldLabel: 'Группа запчастей',
                        name : '',
                        allowBlank: false,

                    }],
                    buttons: [{
                      text: 'Добавить',
                      handler: function() {
                        var form = this.up('form').getForm();
                              if(form.isValid())
                              {
                                form.submit(
                                {
                                  waitMsg:'Идет отправка...',
                                  url: 'app/TOiR_sparesGroup.php?func=add',
                                  // params : {key : 'val', key2 : 'val2'},
                                  success: function(form,response) 
                                  {
                                    // Ext.Msg.alert('Внимание','Группа запчастей успешно добавлена'); 
                                    TOiR_sparesGroup_WindowAddEdit.destroy();
                                    Ext.getCmp('TOiR_SparesGridId').store.load();
                                    Ext.getCmp('TOiR_SparesGridId').getView().refresh();
                                  },
                                  failure : function()
                                  {
                                    Ext.Msg.alert('Внимание','Какая то ошибка'); 
                                  }
                                });
                              }else
                                {
                                  Ext.Msg.alert('Внимание','Заполните ВСЕ поля'); 
                                }
                      }
                    },
                    {
                      text: 'Отмена',
                      handler: function(){
                                  TOiR_sparesGroup_WindowAddEdit.destroy();
                                }
                    }]
                }]
      });
    }
    TOiR_sparesGroup_WindowAddEdit.show();
  }


  function TOiR_sparesGroup_WindowRemove() {
    if (spares_group_grid) {
      var sm = spares_group_grid.getSelectionModel();
      var rs = sm.getSelection();
      if(!rs) return false;
      var id = rs[0].get('id');
      if (!rs.length) {
          Ext.Msg.alert('Внимание!', 'Превентив не выбран');
          return;
          }
            Ext.Msg.confirm('Внимание!', 'Вы действительно хотите удалить выбранный превентив?', function (button) {
              if (button == 'yes') {
                  Ext.Ajax.request({  
                      url : 'app/TOiR_sparesGroup.php?func=del',
                      method: 'GET',
                      params: {id: id}, 
                      success: function(objServerResponse){  
                           }
                      });
                   spares_group_grid.store.remove(rs[0]);
                            }
      });
    }  
  }
  TOiR_spares_Window.show();
  Ext.getBody().unmask(all.loading);
}
 
